<%= logger.info "==@fav_company=#{@companies_list.inspect}" %>
<%#= custom_bootstrap_flash %>
$('.fav_companies').empty().html("<%= j render partial: '/layouts/sidebar_right', locals: { '@companies': @companies, '@favorite_companies': @favorite_companies, '@companies_list': @companies_list } %>")
$('.fav-comp .remove-fav-icon').hide()
$('.fav-comp').on('mouseover', function(){
    $(this).children().find('a.remove-fav-icon').show()
    // $('.fav-comp .remove-fav-icon').show()
})
$('.fav-comp').on('mouseout', function(){
    // $('.fav-comp .remove-fav-icon').hide()
    $(this).children().find('a.remove-fav-icon').hide()
})


$('.fav-comp .remove-fav-icon').on('click', function(e){
    // console.log($(this).children('a.fav-icon'));
    var company_id = $(this).data('company-id')
    // var tab_type = $(this).data('tab-type')
    var company_name = $(this).children('a.fav-icon').data('company-name')
    var like = 'unlike'
    // if($(this).children('a.fav-icon').hasClass('active') == true){
    //     $(this).children('a.fav-icon').removeClass('active')
    //     like = 'unlike'
    // }else {
    //     $(this).children('a.fav-icon').addClass('active')
    //     like = 'like'
    // }
    // console.log(company_id);
    // console.log(company_name);
    $.ajax({
        // url: '/companies/add_company_as_favorite',
        url: '/companies/add_company_as_favorite',
        method: 'post',
        data: { company_id: company_id, company_name: company_name, like: like },
        dataType: 'script',
        // success: function(response){
        //     $('.loader').hide()
        //     console.log(response);
        //     toastr.success(response['message'])
        //     window.location.reload(true)
        // },
        // failure: function(response){
        //     $('.loader').hide()
        // }

    })
    $('.chart-cell .star_icon').children("a.fav-icon-"+company_id).removeClass('active')
})
$( ".select_company" ).val("").select2({
    // theme: "bootstrap"
    placeholder: 'Select Company',
    tags: true,
    // allowClear: true,
    // minimumInputLength: 3,
    ajax: {
        // url: '/companies/company_select2',
        url: '/companies/company_select2',
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.company_name.toProperCase(),
                        // slug: item.slug,
                        id: item.company_name
                    }
                })
            };
        }
    }
});
